# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`kdump`](#kdump): Manage kdump

## Classes

### <a name="kdump"></a>`kdump`

Manage kdump

#### Examples

##### Use default actions of ensuring kdump is stopped

```puppet
class { 'kdump': }
```

##### Example of how to enable kdump

```puppet
class { 'kdump':
  enable => true,
}
```

#### Parameters

The following parameters are available in the `kdump` class:

* [`enable`](#-kdump--enable)
* [`crashkernel`](#-kdump--crashkernel)
* [`crashkernel_bootmode`](#-kdump--crashkernel_bootmode)
* [`bootloader_config_path`](#-kdump--bootloader_config_path)
* [`package_name`](#-kdump--package_name)
* [`service_name`](#-kdump--service_name)
* [`service_ensure`](#-kdump--service_ensure)
* [`service_enable`](#-kdump--service_enable)
* [`service_hasstatus`](#-kdump--service_hasstatus)
* [`service_hasrestart`](#-kdump--service_hasrestart)
* [`config_path`](#-kdump--config_path)
* [`config_overrides`](#-kdump--config_overrides)
* [`kernel_parameter_provider`](#-kdump--kernel_parameter_provider)
* [`manage_kernel_parameter`](#-kdump--manage_kernel_parameter)
* [`grub_kdump_cfg`](#-kdump--grub_kdump_cfg)

##### <a name="-kdump--enable"></a>`enable`

Data type: `Boolean`

Set state of kdump.
`true` - Ensure service running and crashkernel kernel argument set
`false` - Ensure service stopped and crashkernel kernel argument absent

Default value: `false`

##### <a name="-kdump--crashkernel"></a>`crashkernel`

Data type: `String`

Kernel crashkernel argument value

Default value: `'auto'`

##### <a name="-kdump--crashkernel_bootmode"></a>`crashkernel_bootmode`

Data type: `String`

The bootmode for crashkernel kernel argument

Default value: `'all'`

##### <a name="-kdump--bootloader_config_path"></a>`bootloader_config_path`

Data type: `Optional[Stdlib::AbsolutePath]`

Path to boot loader config

Default value: `undef`

##### <a name="-kdump--package_name"></a>`package_name`

Data type: `String`

Package name that provides kdump.

Default value: `'kexec-tools'`

##### <a name="-kdump--service_name"></a>`service_name`

Data type: `String`

Service name for kdump.

Default value: `'kdump'`

##### <a name="-kdump--service_ensure"></a>`service_ensure`

Data type: `Optional[String]`

The service ensure property for kdump.

Default value: `undef`

##### <a name="-kdump--service_enable"></a>`service_enable`

Data type: `Optional[Boolean]`

The service enable property for kdump.

Default value: `undef`

##### <a name="-kdump--service_hasstatus"></a>`service_hasstatus`

Data type: `Boolean`

The service hasstatus property for kdump.

Default value: `true`

##### <a name="-kdump--service_hasrestart"></a>`service_hasrestart`

Data type: `Boolean`

The service hasrestart property for kdump.

Default value: `true`

##### <a name="-kdump--config_path"></a>`config_path`

Data type: `Stdlib::AbsolutePath`

The configuration file path for kdump.

Default value: `'/etc/kdump.conf'`

##### <a name="-kdump--config_overrides"></a>`config_overrides`

Data type: `Hash`

Hash of config values to add to kdump.conf

Default value: `{}`

##### <a name="-kdump--kernel_parameter_provider"></a>`kernel_parameter_provider`

Data type: `String`

The provider property for the kernel_parameter defined type.

Default value: `'grub2'`

##### <a name="-kdump--manage_kernel_parameter"></a>`manage_kernel_parameter`

Data type: `Boolean`

Controls if kernel_parameter resource is managed

Default value: `true`

##### <a name="-kdump--grub_kdump_cfg"></a>`grub_kdump_cfg`

Data type: `Optional[String]`

Path to grub2 kdump config. Only used on Ubuntu.

Default value: `undef`

